package	jp.co.sds_corp.report.source;

import jp.co.sds_corp.util.config.IConfiguration;

/**
テスト用のISource
*/
public class TestSource extends AbstractSource
{
	String[][] dum = {
		{"1","COMPANY_CD","COMPANY_CD","varchar2(8)","8","0"},
		{"2","EMPLOYEE_CD","EMPLOYEE_CD","varchar2(8)","8","0"},
		{"3","NAME","NAME","varchar2(50)","50","0"},
		{"4","NAME_KANA","NAME_KANA","varchar2(100)","100","0"},
		{"5","PASSWORD","PASSWORD","varchar2(20)","20","0"},
		{"6","ORGANIZATION_NO","ORGANIZATION_NO","varchar2(8)","8","0"},
		{"7","POST_CD","POST_CD","varchar2(8)","8","0"},
		{"8","ZIP","ZIP","varchar2(7)","7","0"},
		{"9","PREF_NM","PREF_NM","varchar2(8)","8","0"},
		{"10","CITY_NM","CITY_NM","varchar2(32)","32","0"},
		{"11","ADDRESS","ADDRESS","varchar2(100)","100","0"},
		{"12","BUILDINGNAME","BUILDINGNAME","varchar2(100)","100","0"},
		{"13","SEX","SEX","varchar2(1)","1","0"},
		{"14","BIRTHDAY","BIRTHDAY","varchar2(8)","8","0"},
		{"15","TEL","TEL","varchar2(15)","15","0"},
		{"16","FAX","FAX","varchar2(15)","15","0"},
		{"17","EMAIL","EMAIL","varchar2(100)","100","0"},
		{"18","PORTABLE_TEL","PORTABLE_TEL","varchar2(15)","15","0"},
		{"19","PORTABLE_EMAIL","PORTABLE_EMAIL","varchar2(100)","100","0"},
		{"20","ENTER_DATE","ENTER_DATE","varchar2(8)","8","0"},
		{"21","RETIRE_DATE","RETIRE_DATE","varchar2(8)","8","0"},
		{"22","AUTHORITY","AUTHORITY","varchar2(1)","1","0"},
		{"23","PWD_UPD_TIME","PWD_UPD_TIME","timestamp(6)","11","6"},
		{"24","DEL_FLG","DEL_FLG","varchar2(1)","1","0"},
		{"25","CRE_USER","CRE_USER","varchar2(8)","8","0"},
		{"26","UPD_USER","UPD_USER","varchar2(8)","8","0"},
		{"27","CRE_TIME","CRE_TIME","timestamp(6)","11","6"},
		{"28","UPD_TIME","UPD_TIME","timestamp(6)","11","6"}
	};

	/**
	* 設定情報で初期化します。
	* @param    config  設定情報
	*/
	public void init( IConfiguration config ) throws Exception {
		super.init( config );
		bean = new TestBean();
	}

	/**
	* データを取得します。
	*/
	public void execute() throws Exception {
		TestBean bean = (TestBean )this.bean;
		bean.setSchema( "REAS" );
		bean.setTable( "EMPLOYEE" );

		// selectしたつもり
		for ( int i = 0; i < dum.length; i++ ) {
			TestBean.Data data = bean.new Data();
			data.setJcol( dum[i][1] );
			data.setCol( dum[i][2] );
			data.setType( dum[i][3] );
			data.setLength( dum[i][4] );
			data.setPrec( dum[i][5] );
			bean.getList().add( data );
		}
	}

	/**
	* データの取得を終了します。
	*/
	public void exit() {
	}

}
